summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-01-18 13:17:37 +0100
committerHolger Levsen <holger@layer-acht.org>2015-01-18 13:17:37 +0100
commit7431f6df25f64c83d97607edc9b6872b3a6ff4de (patch)
treeaf38700e24589368967be021a3a73b0647aec60d /bin
parent4ba5acae984a00b7f233b67f984875e7c650b895 (diff)
downloadjenkins.debian.net-7431f6df25f64c83d97607edc9b6872b3a6ff4de.tar.xz
reproducible: also check for new uids used by pbuilder
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_maintainance.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index 8c43265f..b7d28997 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -61,10 +61,13 @@ fi
# find processes which should not be there
HAYSTACK=$(mktemp)
RESULT=$(mktemp)
+PBUIDS="1234 1111 2222"
ps axo pid,user,size,pcpu,cmd > $HAYSTACK
-for ZOMBIE in $(pgrep -u 1234 -P 1 || true) ; do
- # faked-sysv comes and goes...
- grep ^$ZOMBIE $HAYSTACK | grep -v faked-sysv >> $RESULT 2> /dev/null || true
+for i in $PBUIDS ; do
+ for ZOMBIE in $(pgrep -u $i -P 1 || true) ; do
+ # faked-sysv comes and goes...
+ grep ^$ZOMBIE $HAYSTACK | grep -v faked-sysv >> $RESULT 2> /dev/null || true
+ done
done
if [ -s $RESULT ] ; then
echo